Bug#785962: atheist: deprecation of python-support

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Bug#785962: atheist: deprecation of python-support

Graham Inggs-3
Control: tags 785962 + patch
Control: tags 785962 + pending

Dear maintainer,

I've prepared an NMU for atheist (versioned as 0.20110402-2.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.
diff -Nru atheist-0.20110402/debian/changelog
atheist-0.20110402/debian/changelog
--- atheist-0.20110402/debian/changelog    2012-02-21 07:35:53.000000000 +0100
+++ atheist-0.20110402/debian/changelog    2015-08-19 22:14:49.000000000 +0200
@@ -1,3 +1,10 @@
+atheist (0.20110402-2.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Removed python-support dependency in favor of dh-python (Closes: #785962)
+
+ -- Valerie Young <[hidden email]>  Wed, 19 Aug 2015 22:14:28 +0200
+
 atheist (0.20110402-2) unstable; urgency=low

   * Fixed spelling mistakes at description (thanks to Laszlo Boszormenyi).
diff -Nru atheist-0.20110402/debian/control atheist-0.20110402/debian/control
--- atheist-0.20110402/debian/control    2012-02-19 22:11:02.000000000 +0100
+++ atheist-0.20110402/debian/control    2015-08-19 21:50:40.000000000 +0200
@@ -5,7 +5,7 @@
 Uploaders: Francisco Moya <[hidden email]>, David Villa Alises
<[hidden email]>
 Homepage: https://savannah.nongnu.org/projects/atheist/
 Build-Depends: debhelper (>= 7.0.50~), python-sphinx (>= 1.0.7+dfsg),
- python, xsltproc (>= 1.1.24), docbook-xsl (>= 1.75.2), python-support
+ python, xsltproc (>= 1.1.24), docbook-xsl (>= 1.75.2), dh-python
 Standards-Version: 3.9.2

 Package: atheist